Crystal Space: iLightList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iLightList Struct Reference
[Lighting]

This structure represents a list of lights. More...

`#include <iengine/light.h>`

Inheritance diagram for iLightList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iLight *obj)=0
| Add a light.
virtual int | Find (iLight *obj) const =0
| Find a light and return its index.
virtual iLight * | FindByID (const char *id) const =0
| Find a light by its ID value (16-byte MD5).
virtual iLight * | FindByName (const char *Name) const =0
| Find a light by name.
virtual iLight * | Get (int n) const =0
| Return a light by index.
virtual int | GetCount () const =0
| Return the number of lights in this list.
virtual bool | Remove (int n)=0
| Remove the nth light.
virtual bool | Remove (iLight *obj)=0
| Remove a light.
virtual void | RemoveAll ()=0
| Remove all lights.

## Detailed Description

This structure represents a list of lights.

Main ways to get pointers to this interface:

- iSector::GetLights()

Main users of this interface:

- iEngine

Definition at line 427 of file light.h.

## Member Function Documentation

virtual int iLightList::Add | ( | iLight * | obj | ) | `[pure virtual]`

Add a light.

virtual int iLightList::Find | ( | iLight * | obj | ) | const`[pure virtual]`

Find a light and return its index.

virtual iLight* iLightList::FindByID | ( | const char * | id | ) | const`[pure virtual]`

Find a light by its ID value (16-byte MD5).

virtual iLight* iLightList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a light by name.

virtual iLight* iLightList::Get | ( | int | n | ) | const`[pure virtual]`

Return a light by index.

virtual int iLightList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of lights in this list.

virtual bool iLightList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth light.

virtual bool iLightList::Remove | ( | iLight * | obj | ) | `[pure virtual]`

Remove a light.

virtual void iLightList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all lights.

The documentation for this struct was generated from the following file:

- iengine/light.h